curl --request GET \
--url https://app.leadconduit.com/packages/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://app.leadconduit.com/packages/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://app.leadconduit.com/packages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "leadconduit-salesforce",
"provider": "Salesforce",
"description": "<string>",
"name": "<string>",
"paths": [
"<string>"
],
"link": "<string>",
"ui": true,
"images": true,
"version": "<string>",
"integrations": [
{
"id": "leadconduit-salesforce.outbound.create_contact",
"type": "inbound",
"direction": "inbound",
"name": "<string>",
"description": "<string>",
"tag": "<string>",
"feedback": true,
"median_wait_ms": 123,
"pricing": {
"type": "<string>",
"unit": "<string>",
"transaction": true,
"tiers": [
{
"unit_price": 123,
"start_qty": 123,
"end_qty": 123
}
]
},
"request_variables": [
{
"name": "<string>",
"description": "<string>",
"required": true,
"type": "<string>"
}
],
"response_variables": [
{
"name": "<string>",
"description": "<string>",
"required": true,
"type": "<string>"
}
],
"entity_id": "5fd4371e940df5a34a3888b2",
"editable": true
}
]
}{
"error": "not authorized"
}Fetch a single integration package
Fetch a single integration package.
Authorizations
LeadConduit uses HTTP Basic Authentication
with the username API and your API key as the password.
For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'
Path Parameters
ID of the package 24 character alpha-numeric BSON identifier
^[0-9a-fA-F]{24}$"5fd4371e940df5a34a3888b2"
Response
OK
An integration package contains multiple integration modules.
The unique identifier of the integration package
"leadconduit-salesforce"
The name of the provider of the integration package
"Salesforce"
The human readable description of the integration package
The name of the package (i.e. Salesforce)
An array of pointers to each integration inside this package
The provider's homepage
Whether this integration supports a rich user experience
The semantic version of the package containing this integration
Show child attributes
Show child attributes